Print order
Print order Content and form is decided by type. orderItemUids is omitted when type is RECEIPT
Required permissions: SALES_ORDER,RETURN_ORDER
Access token recevied after user login with a deviceToken
Reference to a Store.
^[A-Za-z0-9-_]+Reference to an Order.
^[A-Za-z0-9-_]+Reference to a tenant.
^[A-Za-z0-9-_]+| ENUM | Description |
|---|---|
| RECEIPT | Print sales receipt |
| EXCHANGENOTE | Print exchange note |
| GIFTCARD | Print giftcard barcode |
| PICKUP | Print a pickup label/note |
| SHORTAGENOTE | Print a missing items note (restlapp) |
| PICKNOTE | Print a pick note (plukkelapp) |
The printer to send the print to
^[A-Za-z0-9-_]+Only valid for type EXCHANGENOTE. Sets a date that the exchange note is valid until. If not set, exchangeNoteValidUntil is calculated from the store's exchangeNoteValidDays setting. Stored on all orderItemUids in request, usually only one item.
Only valid for type PICKUP, SHORTAGENOTE and PICKNOTE. When set, only the name of this order handling is shown on the note. When omitted, all order handlings on the order are shown.
^[A-Za-z0-9-_]+Created
No content
Bad Request
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/print HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 127
{
"type": "RECEIPT",
"printerUid": "text",
"orderItemUids": [
"text"
],
"exchangenoteValidUntil": "2026-01-01",
"orderHandlingUid": "text"
}No content
Last updated
Was this helpful?

